std::relation(3cxx)

NAME
std::relation - [concept.relation], concept relation

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Rel, typename _Tp, typename _Up>
concept std::relation =  predicate<_Rel, _Tp, _Tp> && predicate<_Rel, _Up, _Up>
      && predicate<_Rel, _Tp, _Up> && predicate<_Rel, _Up, _Tp>

Detailed Description

[concept.relation], concept relation

Author

Generated automatically by Doxygen for libstdc++ from the source code.